Bug 65026 - mod_bandwidth uses /tmp
mod_bandwidth uses /tmp
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: mod_bandwidth (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-16 06:21 EDT by Rui Lapa
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:14:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rui Lapa 2002-05-16 06:21:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020502

Description of problem:
mod_bandwidth uses /tmp which tmpwatch erases.

Using

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create /tmp structure ( instructions from /usr/share/doc/mod_bandwidth.../readme)
2. configure a webhost with mod_bandwidth
3. access webhost
4. advance clock by more than 240 hours
5. run /etc/cron.daily/tmpwatch
6. notice /tmp/apachebw... cleaned
	

Actual Results:  Stopping bandwidth limiting

Additional info:

mod_bandwidth could use /var/cache/httpd to store temporary info.
Comment 1 Wil Cooley 2002-08-25 20:51:04 EDT
Might be preferable also to make the module or the RPM create the necessary
directory structure at run or install-time.
Comment 2 Bill Nottingham 2006-08-07 13:11:52 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 10:14:33 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.